﻿default['sqlserver']['iso_name'] = "en_sql_server_2014_standard_edition_with_service_pack_2_x64_dvd_8961564.iso"
default['sqlserver']['remote_file']['path'] = "#{Chef::Config['file_cache_path']}"
default['sqlserver']['remote_file']['source'] = "http://download.msdn.microsoft.com/pr/en_sql_server_2014_standard_edition_with_service_pack_2_x64_dvd_8961564.iso?t=89148597-0685-4bdd-bdd9-19770c423c86&e=1472205453&h=f5cbb63d6652ff1b13cd7fd98d10a483"
default['sqlserver']['ec2helper_iso']['volume_name'] = "SQL2014_x64_ENU"


default['sqlserver']['iso_name'] = "sqlserverserver2015.3_enu.iso"
default['sqlserver']['iso_volume_name'] = "SQL2014_x64_ENU"
default['sqlserver']['setup_drive_letter'] = "invalid"
default['sqlserver']['setup_drive_letter_filename'] = "c:/cfn/files/#{node[:sqlserver][:iso_volume_name]}.driveletter"

default['sqlserver']['FEATURES'] = 'SQLEngine,SSMS,FullText'
default['sqlserver']['INSTANCENAME'] = 'MSSQLSERVER'
default['sqlserver']['IAcceptSQLServerLicenseTerms'] = 'true'
default['sqlserver']['SQLSVCACCOUNT'] = 'NT AUTHORITY\\NETWORK SERVICE'
default['sqlserver']['AGTSVCACCOUNT'] = 'NT Service\\SQLSERVERAGENT'
default['sqlserver']['SECURITYMODE'] = 'SQL'
default['sqlserver']['SAPWD'] = 'JUhsd82.!#'
default['sqlserver']['TCPENABLED'] = '1'
default['sqlserver']['ADDCURRENTUSERASSQLADMIN'] = 'false'
default['sqlserver']['SQLUSERDBDIR'] = 'c:\\sqldata'
default['sqlserver']['SQLUSERDBLOGDIR'] = 'c:\\sqllog'
default['sqlserver']['INSTALLSQLDATADIR'] = 'c:\\sqldata'

if "#{ENV['USERDOMAIN']}" == "#{ENV['COMPUTERNAME']}"
	default['sqlserver']['SQLSYSADMINACCOUNTS'] = "\"#{ENV['COMPUTERNAME']}\\Users\""
else
	default['sqlserver']['SQLSYSADMINACCOUNTS'] = "\"#{node[:domain]}\\Domain Users\" \"#{node[:domain]}\\Domain Computers\""
end



